<ion-header>
    <ion-toolbar>
      <ion-buttons slot="start">
        <ion-back-button color="light" defalutHref="/tabs/tab1"></ion-back-button>
      </ion-buttons>
      <ion-title>{{"VIEW_ALL_2" | translate}}</ion-title>
    </ion-toolbar>
    <ion-toolbar>
        <ion-searchbar [(ngModel)]="queryText" (keyup)="updateList($event)" show-cancel="true" placeholder="배합번호 찾기"></ion-searchbar>
    </ion-toolbar>
  </ion-header>
  
  <ion-content padding>
      <ion-list>
        <ion-item *ngFor="let result of results" routerLink="/app/details/{{result.id}}" routerDirection="forward" detail [hidden]="result.hide">
          <ion-text>
            <p>{{ result.mixnum }}</p>
            <p>
              <ion-icon name="briefcase" color="medium"></ion-icon>&nbsp;
              {{ result.cname }}
            </p>
            <p>
              <ion-icon name="contact" color="medium"></ion-icon>&nbsp;
              {{ result.ct_name }}
            </p>
            <p>
              <ion-icon name="pin" color="medium"></ion-icon>&nbsp;
              {{ result.sname }}
            </p>
            <h5>
              <ion-icon name="calendar" color="medium"></ion-icon>&nbsp;
              {{ result.datetime | date : 'yyyy-MM-dd, h:mm:ss a':'GMT' }}
            </h5>
            <p></p>
          </ion-text>
        </ion-item>
        
      </ion-list>

    <ion-infinite-scroll threshold="100px" (ionInfinite)="loadData($event)">
      <ion-infinite-scroll-content
        loadingSpinner="bubbles">
      </ion-infinite-scroll-content>
    </ion-infinite-scroll>
    
  </ion-content>
  